> ## Documentation Index
> Fetch the complete documentation index at: https://docs.leadinfo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Company details by company_id



## OpenAPI

````yaml /api-reference/openapi.json get /v1/trackers/{tracker_code}/companies/{company_id}
openapi: 3.1.0
info:
  title: Leadinfo Data API
  version: 0.1.0
  x-logo:
    url: https://asset.leadinfo.com/assets/email_logo.png
servers:
  - url: https://data.leadinfo.com
    description: Production
security: []
paths:
  /v1/trackers/{tracker_code}/companies/{company_id}:
    get:
      tags:
        - traffic
      summary: Company details by company_id
      operationId: >-
        get_company_details_v1_trackers__tracker_code__companies__company_id__get
      parameters:
        - name: tracker_code
          in: path
          required: true
          schema:
            type: string
            title: Tracker Code
        - name: company_id
          in: path
          required: true
          schema:
            type: integer
            title: Company Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CompanyDetails'
        '401':
          description: Invalid credentials.
        '403':
          description: Company not in scope (not in CRM or named tracker).
        '404':
          description: Company not found.
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    CompanyDetails:
      properties:
        id:
          type: integer
          title: Id
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        coc_number:
          anyOf:
            - type: string
            - type: 'null'
          title: Coc Number
        website_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Website Url
        email_address:
          anyOf:
            - type: string
            - type: 'null'
          title: Email Address
        phone_number:
          anyOf:
            - type: string
            - type: 'null'
          title: Phone Number
        founding_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Founding Date
        address:
          anyOf:
            - type: string
            - type: 'null'
          title: Address
        postal_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Postal Code
        city:
          anyOf:
            - type: string
            - type: 'null'
          title: City
        province:
          anyOf:
            - type: string
            - type: 'null'
          title: Province
        country:
          anyOf:
            - type: string
            - type: 'null'
          title: Country
        latitude:
          anyOf:
            - type: string
            - type: 'null'
          title: Latitude
        longitude:
          anyOf:
            - type: string
            - type: 'null'
          title: Longitude
        sales_volume:
          anyOf:
            - type: integer
            - type: 'null'
          title: Sales Volume
        sales_volume_currency:
          anyOf:
            - type: string
            - type: 'null'
          title: Sales Volume Currency
        employees:
          anyOf:
            - type: integer
            - type: 'null'
          title: Employees
        employee_range:
          anyOf:
            - type: string
            - type: 'null'
          title: Employee Range
        linkedin_employee_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Linkedin Employee Count
        branch_code:
          anyOf:
            - type: integer
            - type: 'null'
          title: Branch Code
        branch_local_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Branch Local Type
        branch_local:
          anyOf:
            - type: string
            - type: 'null'
          title: Branch Local
        branch_international_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Branch International Type
        branch_international:
          anyOf:
            - type: string
            - type: 'null'
          title: Branch International
        twitter:
          anyOf:
            - type: string
            - type: 'null'
          title: Twitter
        facebook:
          anyOf:
            - type: string
            - type: 'null'
          title: Facebook
        linkedin:
          anyOf:
            - type: string
            - type: 'null'
          title: Linkedin
        linkedin_company_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Linkedin Company Name
        youtube:
          anyOf:
            - type: string
            - type: 'null'
          title: Youtube
        pinterest:
          anyOf:
            - type: string
            - type: 'null'
          title: Pinterest
        instagram:
          anyOf:
            - type: string
            - type: 'null'
          title: Instagram
        github:
          anyOf:
            - type: string
            - type: 'null'
          title: Github
        dribbble:
          anyOf:
            - type: string
            - type: 'null'
          title: Dribbble
        xing:
          anyOf:
            - type: string
            - type: 'null'
          title: Xing
        whatsapp:
          anyOf:
            - type: string
            - type: 'null'
          title: Whatsapp
        vimeo:
          anyOf:
            - type: string
            - type: 'null'
          title: Vimeo
        logo:
          anyOf:
            - type: string
            - type: 'null'
          title: Logo
        cover_image:
          anyOf:
            - type: string
            - type: 'null'
          title: Cover Image
      type: object
      required:
        - id
      title: CompanyDetails
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.